﻿using System;
using System.Collections.Generic;
using System.IO;

namespace SongCompApp
{
    internal class ControllerClass
    {
        //public ControllerClass()
        //{
        //}
        private int numberOfJury = 5;
        private int scoreLimit = 10;
        private List<Competitor> competitors = new List<Competitor>();

        public void Start()
        {
            ReadingData();
            Console.WriteLine("\n Deatils of the competitors: \n");
            Output();
            Competition();
            Console.WriteLine("\n Results: \n");
            Output();
            Results();
            Search();
        }

        private void ReadingData()
        {
            Competitor competitor;
            string name, dep;
            int num = 1;

            StreamReader stream = new StreamReader("competitors0.txt");
            name = stream.ReadLine();
            while (name != null)
            {
                dep = stream.ReadLine();
                competitor = new Competitor(num, name, dep);
                competitors.Add(competitor);
                num++;
                name = stream.ReadLine();
            }
            stream.Close();
        }

        private void Output()
        {
            foreach (Competitor singer in competitors)
            {
                Console.WriteLine(singer);
            }
        }

        private void Competition()
        {
            Random rand = new Random();
            int point;
            foreach (Competitor singer in competitors)
            {
                for (int i = 1; i < numberOfJury; i++)
                {
                    point = rand.Next(scoreLimit);
                    singer.GetScore(point);
                }
            }
        }

        private void Results()
        {
            Winner();
            Sorting();
        }

        private void Search()
        {
           // throw new NotImplementedException();
        }
    }
}